
Ruby - Bug #6835

Rdoc for DateTime#strftime('%Q') says 'microseconds' instead if 'milliseconds'

08/04/2012 11:34 PM - stomar (Marcus Stollsteimer)

Status: Closed   

Priority: Normal   

Assignee: tadf (tadayoshi funaba)   

Target version:    

ruby -v: 1.9.3 Backport:  

Description

=begin

The patch fixes wrong rdoc for %Q, which returns the number of ((milli))seconds since the unix epoch, not ((micro))seconds.

(This is also the expected behavior according to the tests in test/date/test_date_strftime.rb)

This affects also Ruby 1.8.

1.9.3p194 :001 > require 'date'

1.9.3p194 :002 > d = DateTime.parse('1970-01-01T00:00:05.123456+00:00')

=> #<DateTime: 1970-01-01T00:00:05+00:00 ((2440588j,5s,123456000n),+0s,2299161j)>

1.9.3p194 :003 > d.strftime('%s')

=> "5"

1.9.3p194 :004 > d.strftime('%Q')

=> "5123"

=end

History

#1 - 08/05/2012 06:53 AM - tadf (tadayoshi funaba)

- Status changed from Open to Assigned

- Assignee changed from drbrain (Eric Hodel) to tadf (tadayoshi funaba)

#2 - 08/05/2012 07:08 AM - tadf (tadayoshi funaba)

- Status changed from Assigned to Closed

Files

ext_date_rdoc_strftime_Q.patch 830 Bytes 08/04/2012 stomar (Marcus Stollsteimer)
